## org.gnu.pango
Class CoverageLevel

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.CoverageLevel

public class CoverageLevel
extends org.gnu.glib.Enum

Used to indicate how well a font can represent a particular ISO 10646 character point for a particular script.

Field Summary
`static CoverageLevel` `APPROXIMATE` The character is represented as basically the correct graphical form, but with a stylistic variant inappropriate for the current script.
`static CoverageLevel` `EXACT` The character is represented as the correct graphical form.
`static CoverageLevel` `FALLBACK` The character is represented in a way that may be comprehensible but is not the correct graphical form.
`static CoverageLevel` `NONE` The character is not representable with the font.

Method Summary
`CoverageLevel` `and(CoverageLevel other)`
`static CoverageLevel` `intern(int value)`
`CoverageLevel` `or(CoverageLevel other)`
`boolean` `test(CoverageLevel other)`
`CoverageLevel` `xor(CoverageLevel other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final CoverageLevel NONE

  The character is not representable with the font.

### FALLBACK

    public static final CoverageLevel FALLBACK

  The character is represented in a way that may be comprehensible but is not the correct graphical form. For instance, a Hangul character represented as a a sequence of Jamos, or a Latin transliteration of a Cyrillic word.

### APPROXIMATE

    public static final CoverageLevel APPROXIMATE

  The character is represented as basically the correct graphical form, but with a stylistic variant inappropriate for the current script.

### EXACT

    public static final CoverageLevel EXACT

  The character is represented as the correct graphical form.

Method Detail

### intern

    public static CoverageLevel intern(int value)

### or

    public CoverageLevel or(CoverageLevel other)

### and

    public CoverageLevel and(CoverageLevel other)

### xor

    public CoverageLevel xor(CoverageLevel other)

### test

    public boolean test(CoverageLevel other)